Subject: [Lwip] WGLC for draft-ietf-lwig-crypto-sensors-02

From: Shiva Prasad Thagadur Prakash <[email-masked]>
Date: Thu, 2 Mar 2017 13:47:13 +0000

Dear all,

I have read the 01 version of the working group draft. I looked at the diff for the current version and the changes are only minor.

The draft provide a lot of valuable information for the IoT community. The draft describes an example implementation of secure low-power CoAP sensors that send integrity protected data to a publish-subsribe broker. The draft also discusses different alternatives available for freshness protection of messages and how the devices can be provisioned. It also discusses the design trade-offs of implementing security at the different layers. Perhaps the most important contribution is the measurements from the implementation of asymmetric cryptography on a small computing platform. While there are new elliptic curves being developed and specified, the draft provides a good record of RSA and ECDSA performance on 8-bit devices. This has already proved useful in different discussions on the SAAG and the ACE mailing lists.

I support moving forward with the draft.

Best regards,
Shiva